package math.geometry;

import math.Maths;

public class IsoscelesTriangle {
	
	public static double hypotenuseD(double a, double gamma){
		return Math.sqrt(2*a*a*(1-Maths.cosd(gamma)));
	}
	
	public static double hypotenuseSideAngle(double a, double alpha){
		return Math.sqrt(2*a*a*(1+Maths.cos(2*alpha)));
	}
	
	/**
	 * @param a
	 * @param alpha
	 * @return gamma = 180+2*alpha
	 */
	public static double hypotenuseSideAngleD(double a, double alpha){
		return Math.sqrt(2*a*a*(1+Maths.cosd(2*alpha)));
	}

	public static void main(String[] args) {
	}

}
